跳转到主要内容
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-details
钱包 - 净值详情
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth-details \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp"
    }
  ],
  "netWorth": "11839478.53162622",
  "requestedTimestamp": "2025-07-31T04:50:06.303Z",
  "resolvedTimestamp": "2025-07-31T04:50:06.475Z",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络列表中的链名称 Supported blockchain chains

可用选项:
sol,
eth,
bsc
walletAddress
string
必填

钱包地址

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页返回结果数量

direction
enum<string>
默认值:next

分页方向(next 或 prev) Pagination direction

可用选项:
next,
prev
hours
integer<int32>
默认值:0

DTO.WALLET.NET_WORTH_DETAILS.HOURS (0=realtime, 1-720=historical snapshot, default 0)

响应

200 - application/json

成功响应

Paginated wallet net-worth details (mirrors TS WalletNetWorthDetailsPage).

data
object[]
必填
netWorth
string
必填
示例:

"11839478.53162622"

requestedTimestamp
string
必填
示例:

"2025-07-31T04:50:06.303Z"

resolvedTimestamp
string
必填
示例:

"2025-07-31T04:50:06.475Z"

walletAddress
string
必填
示例:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"

endCursor
string | null
示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean
示例:

false

hasPrev
boolean
示例:

false

startCursor
string | null
示例:

"eyJpZCI6InN0YXJ0In0="